package com.platform.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-15 08:03:39
 */
public class BrandVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    //主键
    private Integer id;
    //直播间名称
    private String name;

    //场景名称
    private String sceneName;
    //图片
    private String listPicUrl;
    //描述
    private String simpleDesc;
    //图片
    private String picUrl;
    //排序
    private Integer sortOrder;
    //显示
    private Integer isShow;
    //
    private BigDecimal floorPrice;
    //小程序首页封面图
    private String appListPicUrl;
    //新品牌
    private Integer isNew;
    //大场景分享图
    private String newPicUrl;
    //排序
    private Integer newSortOrder;

    private Integer type;

    private String sceneUrl;

    private String liveRoomUrl;

    private String sceneNum;

    /**
     * 分享二维码地址
     */
    private String shareWxQrCode;

    private Long pvTotalNum;

    /**
     * 视频简介地址
     */
    private String introduceVideo;
    /**
     * 视频简介的第一帧
     */
    private String introduceVideoCover;

    /**
     * 一起逛权限：1->有权限;0->没有权限
     */
    private Integer canShow;


    /**
     * 店铺地址
     */
    private String address;

    /**
     * 所属售价，单位为：万元
     */
    private BigDecimal retailPrice;

    /**
     * 所属均价，单位：元
     */
    private BigDecimal averagePrice;

    /**
     * 店铺联系电话
     */
    private String contractPhone;

    public String getContractPhone() {
        return contractPhone;
    }

    public void setContractPhone(String contractPhone) {
        this.contractPhone = contractPhone;
    }

    public BigDecimal getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(BigDecimal retailPrice) {
        this.retailPrice = retailPrice;
    }

    public BigDecimal getAveragePrice() {
        return averagePrice;
    }

    public void setAveragePrice(BigDecimal averagePrice) {
        this.averagePrice = averagePrice;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getCanShow() {
        return canShow;
    }

    public void setCanShow(Integer canShow) {
        this.canShow = canShow;
    }

    public String getIntroduceVideo() {
        return introduceVideo;
    }

    public void setIntroduceVideo(String introduceVideo) {
        this.introduceVideo = introduceVideo;
    }

    public String getIntroduceVideoCover() {
        return introduceVideoCover;
    }

    public void setIntroduceVideoCover(String introduceVideoCover) {
        this.introduceVideoCover = introduceVideoCover;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getPvTotalNum() {
        return pvTotalNum;
    }

    public void setPvTotalNum(Long pvTotalNum) {
        this.pvTotalNum = pvTotalNum;
    }

    public String getSceneNum() {
        return sceneNum;
    }

    public void setSceneNum(String sceneNum) {
        this.sceneNum = sceneNum;
    }

    public String getShareWxQrCode() {
        return shareWxQrCode;
    }

    public void setShareWxQrCode(String shareWxQrCode) {
        this.shareWxQrCode = shareWxQrCode;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getListPicUrl() {
        return listPicUrl;
    }

    public void setListPicUrl(String listPicUrl) {
        this.listPicUrl = listPicUrl;
    }

    public String getSimpleDesc() {
        return simpleDesc;
    }

    public void setSimpleDesc(String simpleDesc) {
        this.simpleDesc = simpleDesc;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public Integer getSortOrder() {
        return sortOrder;
    }

    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    public Integer getIsShow() {
        return isShow;
    }

    public void setIsShow(Integer isShow) {
        this.isShow = isShow;
    }

    public BigDecimal getFloorPrice() {
        return floorPrice;
    }

    public void setFloorPrice(BigDecimal floorPrice) {
        this.floorPrice = floorPrice;
    }

    public String getAppListPicUrl() {
        return appListPicUrl;
    }

    public void setAppListPicUrl(String appListPicUrl) {
        this.appListPicUrl = appListPicUrl;
    }

    public Integer getIsNew() {
        return isNew;
    }

    public void setIsNew(Integer isNew) {
        this.isNew = isNew;
    }

    public String getNewPicUrl() {
        return newPicUrl;
    }

    public void setNewPicUrl(String newPicUrl) {
        this.newPicUrl = newPicUrl;
    }

    public Integer getNewSortOrder() {
        return newSortOrder;
    }

    public void setNewSortOrder(Integer newSortOrder) {
        this.newSortOrder = newSortOrder;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getSceneUrl() {
        return sceneUrl;
    }

    public void setSceneUrl(String sceneUrl) {
        this.sceneUrl = sceneUrl;
    }

    public String getLiveRoomUrl() {
        return liveRoomUrl;
    }

    public void setLiveRoomUrl(String liveRoomUrl) {
        this.liveRoomUrl = liveRoomUrl;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }
}
